// CHECKSTYLE:OFF

package com.sonyericsson.hudson.plugins.gerrit.trigger;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Messages {

    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Draft Published
     * 
     */
    public static String DraftPublishedDisplayName() {
        return holder.format("DraftPublishedDisplayName");
    }

    /**
     * Draft Published
     * 
     */
    public static Localizable _DraftPublishedDisplayName() {
        return new Localizable(holder, "DraftPublishedDisplayName");
    }

    /**
     * "{0}" does not exist.
     * 
     */
    public static String FileNotFoundError(Object arg1) {
        return holder.format("FileNotFoundError", arg1);
    }

    /**
     * "{0}" does not exist.
     * 
     */
    public static Localizable _FileNotFoundError(Object arg1) {
        return new Localizable(holder, "FileNotFoundError", arg1);
    }

    /**
     * Query and Trigger Gerrit Patches
     * 
     */
    public static String ManualGerritTrigger() {
        return holder.format("ManualGerritTrigger");
    }

    /**
     * Query and Trigger Gerrit Patches
     * 
     */
    public static Localizable _ManualGerritTrigger() {
        return new Localizable(holder, "ManualGerritTrigger");
    }

    /**
     * Please select something to build.
     * 
     */
    public static String ErrorSelectSomethingToBuild() {
        return holder.format("ErrorSelectSomethingToBuild");
    }

    /**
     * Please select something to build.
     * 
     */
    public static Localizable _ErrorSelectSomethingToBuild() {
        return new Localizable(holder, "ErrorSelectSomethingToBuild");
    }

    /**
     * From should be before to.
     * 
     */
    public static String InvalidTimeSpan() {
        return holder.format("InvalidTimeSpan");
    }

    /**
     * From should be before to.
     * 
     */
    public static Localizable _InvalidTimeSpan() {
        return new Localizable(holder, "InvalidTimeSpan");
    }

    /**
     * Tuesday
     * 
     */
    public static String TuesdayDisplayName() {
        return holder.format("TuesdayDisplayName");
    }

    /**
     * Tuesday
     * 
     */
    public static Localizable _TuesdayDisplayName() {
        return new Localizable(holder, "TuesdayDisplayName");
    }

    /**
     * Could not connect!
     * 
     */
    public static String SshConnectException() {
        return holder.format("SshConnectException");
    }

    /**
     * Could not connect!
     * 
     */
    public static Localizable _SshConnectException() {
        return new Localizable(holder, "SshConnectException");
    }

    /**
     * Gerrit
     * 
     */
    public static String GerritPermissionGroup() {
        return holder.format("GerritPermissionGroup");
    }

    /**
     * Gerrit
     * 
     */
    public static Localizable _GerritPermissionGroup() {
        return new Localizable(holder, "GerritPermissionGroup");
    }

    /**
     * Permission for the use of "Query and Trigger Gerrit Patches".
     * 
     */
    public static String ManualTriggerPermissionDescription() {
        return holder.format("ManualTriggerPermissionDescription");
    }

    /**
     * Permission for the use of "Query and Trigger Gerrit Patches".
     * 
     */
    public static Localizable _ManualTriggerPermissionDescription() {
        return new Localizable(holder, "ManualTriggerPermissionDescription");
    }

    /**
     * Triggered by Gerrit: {0}
     * 
     */
    public static String TriggeredShortDescription(Object arg1) {
        return holder.format("TriggeredShortDescription", arg1);
    }

    /**
     * Triggered by Gerrit: {0}
     * 
     */
    public static Localizable _TriggeredShortDescription(Object arg1) {
        return new Localizable(holder, "TriggeredShortDescription", arg1);
    }

    /**
     * Change Restored
     * 
     */
    public static String ChangeRestoredDisplayName() {
        return holder.format("ChangeRestoredDisplayName");
    }

    /**
     * Change Restored
     * 
     */
    public static Localizable _ChangeRestoredDisplayName() {
        return new Localizable(holder, "ChangeRestoredDisplayName");
    }

    /**
     * Wednesday
     * 
     */
    public static String WednesdayDisplayName() {
        return holder.format("WednesdayDisplayName");
    }

    /**
     * Wednesday
     * 
     */
    public static Localizable _WednesdayDisplayName() {
        return new Localizable(holder, "WednesdayDisplayName");
    }

    /**
     * Retriggered by user {1} for Gerrit: {0}
     * 
     */
    public static String ReTriggeredShortDescription(Object arg1, Object arg2) {
        return holder.format("ReTriggeredShortDescription", arg1, arg2);
    }

    /**
     * Retriggered by user {1} for Gerrit: {0}
     * 
     */
    public static Localizable _ReTriggeredShortDescription(Object arg1, Object arg2) {
        return new Localizable(holder, "ReTriggeredShortDescription", arg1, arg2);
    }

    /**
     * Triggered by Gerrit: {0} in silent mode.
     * 
     */
    public static String TriggeredShortDescriptionInSilentMode(Object arg1) {
        return holder.format("TriggeredShortDescriptionInSilentMode", arg1);
    }

    /**
     * Triggered by Gerrit: {0} in silent mode.
     * 
     */
    public static Localizable _TriggeredShortDescriptionInSilentMode(Object arg1) {
        return new Localizable(holder, "TriggeredShortDescriptionInSilentMode", arg1);
    }

    /**
     * Bad SSH keyfile or password.
     * 
     */
    public static String BadSshkeyOrPasswordError() {
        return holder.format("BadSshkeyOrPasswordError");
    }

    /**
     * Bad SSH keyfile or password.
     * 
     */
    public static Localizable _BadSshkeyOrPasswordError() {
        return new Localizable(holder, "BadSshkeyOrPasswordError");
    }

    /**
     * "{0}" is not a file.
     * 
     */
    public static String NotFileError(Object arg1) {
        return holder.format("NotFileError", arg1);
    }

    /**
     * "{0}" is not a file.
     * 
     */
    public static Localizable _NotFileError(Object arg1) {
        return new Localizable(holder, "NotFileError", arg1);
    }

    /**
     * Comment Added
     * 
     */
    public static String CommentAddedDisplayName() {
        return holder.format("CommentAddedDisplayName");
    }

    /**
     * Comment Added
     * 
     */
    public static Localizable _CommentAddedDisplayName() {
        return new Localizable(holder, "CommentAddedDisplayName");
    }

    /**
     * Patchset Created
     * 
     */
    public static String PatchsetCreatedDisplayName() {
        return holder.format("PatchsetCreatedDisplayName");
    }

    /**
     * Patchset Created
     * 
     */
    public static Localizable _PatchsetCreatedDisplayName() {
        return new Localizable(holder, "PatchsetCreatedDisplayName");
    }

    /**
     * SSH key file "{0}" does not exist or is a directory.
     * 
     */
    public static String SshKeyFileNotFoundError(Object arg1) {
        return holder.format("SshKeyFileNotFoundError", arg1);
    }

    /**
     * SSH key file "{0}" does not exist or is a directory.
     * 
     */
    public static Localizable _SshKeyFileNotFoundError(Object arg1) {
        return new Localizable(holder, "SshKeyFileNotFoundError", arg1);
    }

    /**
     * Authentication failed! {0}
     * 
     */
    public static String SshAuthenticationException(Object arg1) {
        return holder.format("SshAuthenticationException", arg1);
    }

    /**
     * Authentication failed! {0}
     * 
     */
    public static Localizable _SshAuthenticationException(Object arg1) {
        return new Localizable(holder, "SshAuthenticationException", arg1);
    }

    /**
     * Monday
     * 
     */
    public static String MondayDisplayName() {
        return holder.format("MondayDisplayName");
    }

    /**
     * Monday
     * 
     */
    public static Localizable _MondayDisplayName() {
        return new Localizable(holder, "MondayDisplayName");
    }

    /**
     * Retrigger
     * 
     */
    public static String Retrigger() {
        return holder.format("Retrigger");
    }

    /**
     * Retrigger
     * 
     */
    public static Localizable _Retrigger() {
        return new Localizable(holder, "Retrigger");
    }

    /**
     * Gerrit event
     * 
     */
    public static String TriggerDisplayName() {
        return holder.format("TriggerDisplayName");
    }

    /**
     * Gerrit event
     * 
     */
    public static Localizable _TriggerDisplayName() {
        return new Localizable(holder, "TriggerDisplayName");
    }

    /**
     * Bad URL format.
     * 
     */
    public static String BadUrlError() {
        return holder.format("BadUrlError");
    }

    /**
     * Bad URL format.
     * 
     */
    public static Localizable _BadUrlError() {
        return new Localizable(holder, "BadUrlError");
    }

    /**
     * Retriggered by user {1} for Gerrit: {0} in silent mode.
     * 
     */
    public static String ReTriggeredShortDescriptionInSilentMode(Object arg1, Object arg2) {
        return holder.format("ReTriggeredShortDescriptionInSilentMode", arg1, arg2);
    }

    /**
     * Retriggered by user {1} for Gerrit: {0} in silent mode.
     * 
     */
    public static Localizable _ReTriggeredShortDescriptionInSilentMode(Object arg1, Object arg2) {
        return new Localizable(holder, "ReTriggeredShortDescriptionInSilentMode", arg1, arg2);
    }

    /**
     * Must put something here.
     * 
     */
    public static String EmptyError() {
        return holder.format("EmptyError");
    }

    /**
     * Must put something here.
     * 
     */
    public static Localizable _EmptyError() {
        return new Localizable(holder, "EmptyError");
    }

    /**
     * Ref Updated
     * 
     */
    public static String RefUpdatedDisplayName() {
        return holder.format("RefUpdatedDisplayName");
    }

    /**
     * Ref Updated
     * 
     */
    public static Localizable _RefUpdatedDisplayName() {
        return new Localizable(holder, "RefUpdatedDisplayName");
    }

    /**
     * Gerrit Trigger
     * 
     */
    public static String DisplayName() {
        return holder.format("DisplayName");
    }

    /**
     * Gerrit Trigger
     * 
     */
    public static Localizable _DisplayName() {
        return new Localizable(holder, "DisplayName");
    }

    /**
     * "{0}" is not a valid key file.
     * 
     */
    public static String InvalidKeyFileError(Object arg1) {
        return holder.format("InvalidKeyFileError", arg1);
    }

    /**
     * "{0}" is not a valid key file.
     * 
     */
    public static Localizable _InvalidKeyFileError(Object arg1) {
        return new Localizable(holder, "InvalidKeyFileError", arg1);
    }

    /**
     * Friday
     * 
     */
    public static String FridayDisplayName() {
        return holder.format("FridayDisplayName");
    }

    /**
     * Friday
     * 
     */
    public static Localizable _FridayDisplayName() {
        return new Localizable(holder, "FridayDisplayName");
    }

    /**
     * Success
     * 
     */
    public static String Success() {
        return holder.format("Success");
    }

    /**
     * Success
     * 
     */
    public static Localizable _Success() {
        return new Localizable(holder, "Success");
    }

    /**
     * Triggers builds on Gerrit Events
     * 
     */
    public static String PluginDescription() {
        return holder.format("PluginDescription");
    }

    /**
     * Triggers builds on Gerrit Events
     * 
     */
    public static Localizable _PluginDescription() {
        return new Localizable(holder, "PluginDescription");
    }

    /**
     * Saturday
     * 
     */
    public static String SaturdayDisplayName() {
        return holder.format("SaturdayDisplayName");
    }

    /**
     * Saturday
     * 
     */
    public static Localizable _SaturdayDisplayName() {
        return new Localizable(holder, "SaturdayDisplayName");
    }

    /**
     * Manually triggered by user {1} for Gerrit: {0}
     * 
     */
    public static String ManuallyTriggeredShortDescription(Object arg1, Object arg2) {
        return holder.format("ManuallyTriggeredShortDescription", arg1, arg2);
    }

    /**
     * Manually triggered by user {1} for Gerrit: {0}
     * 
     */
    public static Localizable _ManuallyTriggeredShortDescription(Object arg1, Object arg2) {
        return new Localizable(holder, "ManuallyTriggeredShortDescription", arg1, arg2);
    }

    /**
     * Manually triggered by user {1} for Gerrit: {0} in silent mode.
     * 
     */
    public static String ManuallyTriggeredShortDescriptionInSilentMode(Object arg1, Object arg2) {
        return holder.format("ManuallyTriggeredShortDescriptionInSilentMode", arg1, arg2);
    }

    /**
     * Manually triggered by user {1} for Gerrit: {0} in silent mode.
     * 
     */
    public static Localizable _ManuallyTriggeredShortDescriptionInSilentMode(Object arg1, Object arg2) {
        return new Localizable(holder, "ManuallyTriggeredShortDescriptionInSilentMode", arg1, arg2);
    }

    /**
     * Retrigger All
     * 
     */
    public static String RetriggerAll() {
        return holder.format("RetriggerAll");
    }

    /**
     * Retrigger All
     * 
     */
    public static Localizable _RetriggerAll() {
        return new Localizable(holder, "RetriggerAll");
    }

    /**
     * Time should be on format hh:mm (24h format).
     * 
     */
    public static String InvalidTimeString() {
        return holder.format("InvalidTimeString");
    }

    /**
     * Time should be on format hh:mm (24h format).
     * 
     */
    public static Localizable _InvalidTimeString() {
        return new Localizable(holder, "InvalidTimeString");
    }

    /**
     * Interval too low, minimum is {0} seconds.
     * 
     */
    public static String DynamicConfRefreshTooLowError(Object arg1) {
        return holder.format("DynamicConfRefreshTooLowError", arg1);
    }

    /**
     * Interval too low, minimum is {0} seconds.
     * 
     */
    public static Localizable _DynamicConfRefreshTooLowError(Object arg1) {
        return new Localizable(holder, "DynamicConfRefreshTooLowError", arg1);
    }

    /**
     * Sunday
     * 
     */
    public static String SundayDisplayName() {
        return holder.format("SundayDisplayName");
    }

    /**
     * Sunday
     * 
     */
    public static Localizable _SundayDisplayName() {
        return new Localizable(holder, "SundayDisplayName");
    }

    /**
     * Thursday
     * 
     */
    public static String ThursdayDisplayName() {
        return holder.format("ThursdayDisplayName");
    }

    /**
     * Thursday
     * 
     */
    public static Localizable _ThursdayDisplayName() {
        return new Localizable(holder, "ThursdayDisplayName");
    }

    /**
     * Change Abandoned
     * 
     */
    public static String ChangeAbandonedDisplayName() {
        return holder.format("ChangeAbandonedDisplayName");
    }

    /**
     * Change Abandoned
     * 
     */
    public static Localizable _ChangeAbandonedDisplayName() {
        return new Localizable(holder, "ChangeAbandonedDisplayName");
    }

    /**
     * Connection error : {0}
     * 
     */
    public static String ConnectionError(Object arg1) {
        return holder.format("ConnectionError", arg1);
    }

    /**
     * Connection error : {0}
     * 
     */
    public static Localizable _ConnectionError(Object arg1) {
        return new Localizable(holder, "ConnectionError", arg1);
    }

    /**
     * Change Merged
     * 
     */
    public static String ChangeMergedDisplayName() {
        return holder.format("ChangeMergedDisplayName");
    }

    /**
     * Change Merged
     * 
     */
    public static Localizable _ChangeMergedDisplayName() {
        return new Localizable(holder, "ChangeMergedDisplayName");
    }

}
